# kubezero

![Version: 1.22.8-1](https://img.shields.io/badge/Version-1.22.8--1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

KubeZero - Root App of Apps chart

**Homepage:** <https://kubezero.com>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Stefan Reimer | stefan@zero-downtime.net |  |

## Requirements

Kubernetes: `>= 1.22.0`

| Repository | Name | Version |
|------------|------|---------|
| https://cdn.zero-downtime.net/charts | kubezero-lib | >= 0.1.4 |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| HighAvailableControlplane | bool | `false` |  |
| addons.enabled | bool | `false` |  |
| addons.targetRevision | string | `"0.4.1"` |  |
| argocd.enabled | bool | `false` |  |
| argocd.istio.enabled | bool | `false` |  |
| argocd.namespace | string | `"argocd"` |  |
| argocd.targetRevision | string | `"0.9.6"` |  |
| cert-manager.enabled | bool | `false` |  |
| cert-manager.namespace | string | `"cert-manager"` |  |
| cert-manager.targetRevision | string | `"0.8.2"` |  |
| istio-ingress.enabled | bool | `false` |  |
| istio-ingress.namespace | string | `"istio-ingress"` |  |
| istio-ingress.targetRevision | string | `"0.7.6"` |  |
| istio.enabled | bool | `false` |  |
| istio.namespace | string | `"istio-system"` |  |
| istio.targetRevision | string | `"0.7.6"` |  |
| kubezero.defaultTargetRevision | string | `"*"` |  |
| kubezero.gitSync | object | `{}` |  |
| kubezero.repoURL | string | `"https://cdn.zero-downtime.net/charts"` |  |
| kubezero.server | string | `"https://kubernetes.default.svc"` |  |
| logging.enabled | bool | `false` |  |
| logging.namespace | string | `"logging"` |  |
| logging.targetRevision | string | `"0.7.19"` |  |
| metrics.enabled | bool | `false` |  |
| metrics.istio.grafana | object | `{}` |  |
| metrics.istio.prometheus | object | `{}` |  |
| metrics.namespace | string | `"monitoring"` |  |
| metrics.targetRevision | string | `"0.7.4"` |  |
| network.enabled | bool | `false` |  |
| network.retain | bool | `true` |  |
| network.targetRevision | string | `"0.1.7"` |  |
| storage.aws-ebs-csi-driver.enabled | bool | `false` |  |
| storage.aws-efs-csi-driver.enabled | bool | `false` |  |
| storage.enabled | bool | `false` |  |
| storage.targetRevision | string | `"0.5.7"` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
